curl --request PATCH \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"config": {}
}'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/config"
payload = { "config": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: {}})
};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"inventorySource": {
"id": "<string>",
"storefrontId": "<string>",
"sourceId": "<string>",
"name": "<string>",
"executionType": "MODULAR_SOURCE",
"status": "<string>",
"healthStatus": "<string>",
"lastError": "<string>",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"modules": [
{
"moduleRowId": "<string>",
"inventorySourceId": "<string>",
"moduleInstanceId": "<string>",
"kind": "INVENTORY_FEED",
"name": "<string>",
"provider": "<string>",
"status": "CONFIGURING",
"contractId": "<string>",
"contractVersion": "<string>",
"contract": {
"contractId": "<string>",
"version": "<string>",
"moduleType": "<string>",
"primaryKind": "INVENTORY_FEED",
"displayName": "<string>",
"description": "<string>",
"constraints": [
"<string>"
],
"provider": "<string>",
"maturity": "sandbox"
},
"configuredFieldKeys": [
"<string>"
],
"missingSetupFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"lifecycle": [
{
"stage": "LIST_ACCOUNTS",
"mode": "AUTOMATED",
"description": "<string>",
"outputKeys": [
"<string>"
],
"requiredFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"missingSetupFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"moduleConfigReady": true,
"workItemKind": "<string>",
"taskContract": {
"taskId": "<string>",
"stage": "LIST_ACCOUNTS",
"automationMode": "AUTOMATED",
"completionPolicy": "NO_TASK",
"defaultActor": "system",
"requiredInputKeys": [
"<string>"
],
"requiredResultKeys": [
"<string>"
],
"outputKeys": [
"<string>"
],
"retryable": true,
"blocksStage": true,
"workItemKind": "<string>",
"fallbackWorkItemKind": "<string>",
"operatorAction": "<string>",
"idempotencyKeyFields": [
"<string>"
]
}
}
],
"openWorkItemCount": 4503599627370495,
"openWorkItemCountsByKind": {},
"lastError": "<string>",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"issues": [
"<string>"
]
}
],
"lifecycleSummary": [
{
"stage": "LIST_ACCOUNTS",
"supported": true,
"status": "UNSUPPORTED",
"modes": [
"AUTOMATED"
],
"moduleInstanceIds": [
"<string>"
],
"moduleNames": [
"<string>"
],
"setupConfigured": true,
"runtimeInputsRequired": true,
"hitlRequired": true,
"openWorkItemCount": 4503599627370495,
"requiredRuntimeFieldSources": [
"MODULE_CONFIG"
],
"missingSetupFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"issues": [
"<string>"
]
}
],
"openWorkItemCount": 4503599627370495,
"activeAvailCount": 4503599627370495,
"catalogMappingReadiness": {
"sections": [
{
"id": "SET_UP_INVENTORY",
"title": "Set up inventory",
"rows": [
{
"id": "<string>",
"title": "<string>",
"requirement": "REQUIRED",
"status": "NOT_STARTED",
"evidence": [
{
"code": "<string>",
"summary": "<string>",
"observedAt": "2023-11-07T05:31:56Z",
"value": "<string>"
}
],
"freshness": {
"state": "FRESH",
"observedAt": "2023-11-07T05:31:56Z"
},
"sourceOfTruth": "INVENTORY_SOURCE",
"action": {
"operation": "open_modular_avails_commit",
"arguments": {
"sourceId": "<string>"
}
},
"externalOwner": "PUBLISHER",
"diagnostics": [
{
"code": "<string>",
"message": "<string>"
}
]
}
]
}
],
"progress": {
"ready": 4503599627370495,
"applicable": 4503599627370495,
"percent": 50
},
"nextAction": {
"operation": "open_modular_avails_commit",
"arguments": {
"sourceId": "<string>"
}
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Update modular source module config
Update non-secret configuration for one module on a modular inventory source. Nested config objects are deep-merged by default; pass merge=false to replace the module config.
curl --request PATCH \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"config": {}
}'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/config"
payload = { "config": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: {}})
};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"inventorySource": {
"id": "<string>",
"storefrontId": "<string>",
"sourceId": "<string>",
"name": "<string>",
"executionType": "MODULAR_SOURCE",
"status": "<string>",
"healthStatus": "<string>",
"lastError": "<string>",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"modules": [
{
"moduleRowId": "<string>",
"inventorySourceId": "<string>",
"moduleInstanceId": "<string>",
"kind": "INVENTORY_FEED",
"name": "<string>",
"provider": "<string>",
"status": "CONFIGURING",
"contractId": "<string>",
"contractVersion": "<string>",
"contract": {
"contractId": "<string>",
"version": "<string>",
"moduleType": "<string>",
"primaryKind": "INVENTORY_FEED",
"displayName": "<string>",
"description": "<string>",
"constraints": [
"<string>"
],
"provider": "<string>",
"maturity": "sandbox"
},
"configuredFieldKeys": [
"<string>"
],
"missingSetupFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"lifecycle": [
{
"stage": "LIST_ACCOUNTS",
"mode": "AUTOMATED",
"description": "<string>",
"outputKeys": [
"<string>"
],
"requiredFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"missingSetupFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"moduleConfigReady": true,
"workItemKind": "<string>",
"taskContract": {
"taskId": "<string>",
"stage": "LIST_ACCOUNTS",
"automationMode": "AUTOMATED",
"completionPolicy": "NO_TASK",
"defaultActor": "system",
"requiredInputKeys": [
"<string>"
],
"requiredResultKeys": [
"<string>"
],
"outputKeys": [
"<string>"
],
"retryable": true,
"blocksStage": true,
"workItemKind": "<string>",
"fallbackWorkItemKind": "<string>",
"operatorAction": "<string>",
"idempotencyKeyFields": [
"<string>"
]
}
}
],
"openWorkItemCount": 4503599627370495,
"openWorkItemCountsByKind": {},
"lastError": "<string>",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"issues": [
"<string>"
]
}
],
"lifecycleSummary": [
{
"stage": "LIST_ACCOUNTS",
"supported": true,
"status": "UNSUPPORTED",
"modes": [
"AUTOMATED"
],
"moduleInstanceIds": [
"<string>"
],
"moduleNames": [
"<string>"
],
"setupConfigured": true,
"runtimeInputsRequired": true,
"hitlRequired": true,
"openWorkItemCount": 4503599627370495,
"requiredRuntimeFieldSources": [
"MODULE_CONFIG"
],
"missingSetupFieldsBySource": [
{
"source": "MODULE_CONFIG",
"fields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"source": "MODULE_CONFIG",
"valueType": "STRING",
"required": true,
"requiredFor": [
"LIST_ACCOUNTS"
],
"mapsTo": "<string>",
"enumValues": [
"<string>"
]
}
]
}
],
"issues": [
"<string>"
]
}
],
"openWorkItemCount": 4503599627370495,
"activeAvailCount": 4503599627370495,
"catalogMappingReadiness": {
"sections": [
{
"id": "SET_UP_INVENTORY",
"title": "Set up inventory",
"rows": [
{
"id": "<string>",
"title": "<string>",
"requirement": "REQUIRED",
"status": "NOT_STARTED",
"evidence": [
{
"code": "<string>",
"summary": "<string>",
"observedAt": "2023-11-07T05:31:56Z",
"value": "<string>"
}
],
"freshness": {
"state": "FRESH",
"observedAt": "2023-11-07T05:31:56Z"
},
"sourceOfTruth": "INVENTORY_SOURCE",
"action": {
"operation": "open_modular_avails_commit",
"arguments": {
"sourceId": "<string>"
}
},
"externalOwner": "PUBLISHER",
"diagnostics": [
{
"code": "<string>",
"message": "<string>"
}
]
}
]
}
],
"progress": {
"ready": 4503599627370495,
"applicable": 4503599627370495,
"percent": 50
},
"nextAction": {
"operation": "open_modular_avails_commit",
"arguments": {
"sourceId": "<string>"
}
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
1Seller-local module instance id
1Body
Update non-secret configuration for a module on a modular inventory source.
Non-secret module configuration values to write. Nested objects are deep-merged by default.
Show child attributes
Show child attributes
When true, deep-merge config into the existing module config. When false, replace the module config.
Optional manual module status update. ACTIVE is derived by execution/readiness workflows and cannot be set through this config endpoint. Omit to leave status unchanged.
CONFIGURING, DISABLED, ERROR Response
Update modular source module config
Operator-facing setup-state projection for a modular inventory source.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
0 <= x <= 90071992547409910 <= x <= 9007199254740991Tenant-scoped, read-only per-source catalog-mapping readiness derived from existing owners.
Show child attributes
Show child attributes